com.smartgwt.client.widgets.drawing

## Class DrawSector

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.widgets.drawing.DrawItem
    - - com.smartgwt.client.widgets.drawing.DrawSector

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasClickHandlers, HasDragMoveHandlers, HasDragResizeMoveHandlers, HasDragStartHandlers, HasDragStopHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseUpHandlers, HasMovedHandlers, HasResizedHandlers, HasShowContextMenuHandlers

      public class DrawSector
      extends DrawItem

  DrawItem subclass to render Pie Slices.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawSector()`
    `DrawSector(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `Point` | `getCenterPoint()` Center point of the sector
    `float` | `getEndAngle()` End angle of the sector in degrees.
    `KnobType[]` | `getKnobs()` NOTE: DrawSector items do not support knobs.
    `static DrawSector` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRadius()` Radius of the sector.
    `float` | `getStartAngle()` Start angle of the sector in degrees.
    `void` | `moveBy(int x, int y)` Move the drawSector to the specified position.
    `void` | `moveTo(int x, int y)` Move the drawSector by the specified delta
    `void` | `resizeBy(int dX, int dY)` Resize by the specified delta.
    `void` | `setCenterPoint(Point centerPoint)` Center point of the sector If this method is called after the component has been drawn/initialized: Change the center point for this sector.
    `static void` | `setDefaultProperties(DrawSector drawSectorProperties)` Class level method to set the default properties of this class.
    `void` | `setEndAngle(float endAngle)` End angle of the sector in degrees.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setKnobs(KnobType... knobs)` NOTE: DrawSector items do not support knobs.
    `void` | `setRadius(int radius)` Radius of the sector.
    `void` | `setStartAngle(float startAngle)` Start angle of the sector in degrees.

    - ### Methods inherited from class com.smartgwt.client.widgets.drawing.DrawItem

      `addClickHandler, addDragMoveHandler, addDragResizeMoveHandler, addDragStartHandler, addDragStopHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseUpHandler, addMovedHandler, addResizedHandler, addShowContextMenuHandler, computeAngle, computeAngleAsDouble, dragResizeMove, draw, erase, getAttributeAsIntArray, getBoundingBox, getCanDrag, getCanHover, getCenter, getContextMenu, getCursor, getDestroyed, getDestroying, getDragStartDistance, getDrawGroup, getDrawPane, getEndArrow, getFillColor, getFillGradient, getFillOpacity, getHoverHTML, getKeepInParentRect, getLineCap, getLineColor, getLineOpacity, getLinePattern, getLineWidth, getMoveKnobOffset, getMoveKnobPoint, getPageLeft, getPageTop, getPrompt, getRef, getResizeKnobPoints, getRotation, getScale, getShadow, getShowHover, getStartArrow, getSvgString, hide, hideKnobs, hover, isInBounds, isPointInPath, resizeTo, rotateBy, rotateBy, rotateTo, rotateTo, scaleBy, scaleBy, scaleTo, scaleTo, setAttribute, setCanDrag, setCanHover, setContextMenu, setCursor, setDefaultProperties, setDragStartDistance, setDrawGroup, setDrawPane, setEndArrow, setFillColor, setFillGradient, setFillOpacity, setKeepInParentRect, setKeepInParentRect, setLineCap, setLineColor, setLineOpacity, setLinePattern, setLineWidth, setMoveKnobOffset, setMoveKnobPoint, setPrompt, setResizeKnobPoints, setRotation, setScale, setShadow, setShowHover, setStartArrow, show, showKnobs`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `asSGWTComponent, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getJsObj, getOrCreateJsObj, getScClassName, internalSetID, internalSetID, isCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setID, setProperty, setProperty, setProperty, setProperty, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### DrawSector

          public DrawSector()

    - #### DrawSector

          public DrawSector(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static DrawSector getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `DrawItem`

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `DrawItem`

    - #### setCenterPoint

          public void setCenterPoint(Point centerPoint)

      Center point of the sector
      If this method is called after the component has been drawn/initialized: Change the center point for this sector.
      Parameters:
        `centerPoint` - left coordinate. Default value is [0,0]

    - #### getCenterPoint

          public Point getCenterPoint()

      Center point of the sector
      Returns:
        Point

    - #### setEndAngle

          public void setEndAngle(float endAngle)
                           throws java.lang.IllegalStateException

      End angle of the sector in degrees.
      Parameters:
        `endAngle` - endAngle Default value is 20.0
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getEndAngle

          public float getEndAngle()

      End angle of the sector in degrees.
      Returns:
        float

    - #### setKnobs

          public void setKnobs(KnobType... knobs)

      NOTE: DrawSector items do not support knobs.
      Overrides:
        `setKnobs` in class `DrawItem`
      Parameters:
        `knobs` - knobs Default value is null

    - #### getKnobs

          public KnobType[] getKnobs()

      NOTE: DrawSector items do not support knobs.
      Overrides:
        `getKnobs` in class `DrawItem`
      Returns:
        KnobType

    - #### setRadius

          public void setRadius(int radius)
                         throws java.lang.IllegalStateException

      Radius of the sector.
      Parameters:
        `radius` - radius Default value is 100
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getRadius

          public int getRadius()

      Radius of the sector.
      Returns:
        int

    - #### setStartAngle

          public void setStartAngle(float startAngle)
                             throws java.lang.IllegalStateException

      Start angle of the sector in degrees.
      Parameters:
        `startAngle` - startAngle Default value is 0.0
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getStartAngle

          public float getStartAngle()

      Start angle of the sector in degrees.
      Returns:
        float

    - #### moveBy

          public void moveBy(int x,
                    int y)

      Move the drawSector to the specified position.
      Overrides:
        `moveBy` in class `DrawItem`
      Parameters:
        `x` - number of pixels to move by horizontally
        `y` - number of pixels to move by vertically

    - #### moveTo

          public void moveTo(int x,
                    int y)

      Move the drawSector by the specified delta
      Parameters:
        `x` - coordinate to move to horizontally
        `y` - coordinate to move to vertically

    - #### resizeBy

          public void resizeBy(int dX,
                      int dY)

      Resize by the specified delta. Note that the resize delta will be applied to each point.
      Overrides:
        `resizeBy` in class `DrawItem`
      Parameters:
        `dX` - number of pixels to resize by horizontally
        `dY` - number of pixels to resize by vertically

    - #### setDefaultProperties

          public static void setDefaultProperties(DrawSector drawSectorProperties)

      Class level method to set the default properties of this class. If set, then all subsequent instances of this class will automatically have the default properties that were set when this method was called. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will effect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead.

      Parameters:
        `drawSectorProperties` - properties that should be used as new defaults when instances of this class are created